jQuery View Helper. Transports all jQuery stack and render information across all views.

uses |
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License

### Methods

## String representation of jQuery environment

    __toString() : string

### Returns

`string`

## Add arbitrary javascript to execute in jQuery JS container

    addJavascript(string $js) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $js

`string`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Add a Javascript File to the include stack.

    addJavascriptFile(string $path) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $path

`string`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Add a script to execute onLoad

    addOnLoad(string $callback) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $callback

`string`

Lambda

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Add a stylesheet

    addStylesheet(string $path) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $path

`string`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Clear arbitrary javascript stack

    clearJavascript() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Clear all currently registered Javascript files.

    clearJavascriptFiles() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Clear the onLoadActions stack.

    clearOnLoadActions() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Clear all currently registered stylesheets files

    clearStylesheets() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Disable jQuery

    disable() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Enable jQuery

    enable() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Get Flag of SSL on CDN

    getCdnSsl() : boolean

### Returns

`boolean`True if SSL is used on CDN

## Get CDN version

    getCdnVersion() : string

deprecated | As of version 1.8, use {@link getVersion()} instead.

### Returns

`string`

## Return all registered javascript statements

    getJavascript() : array

### Returns

`array`

## Return all currently registered Javascript files.

    getJavascriptFiles() : array

This does not include the jQuery library, which is handled by another retrieval strategy.

### Returns

`array`

## Get local path to jQuery

    getLocalPath() : string

### Returns

`string`

## Retrieve all registered onLoad actions

    getOnLoadActions() : array

### Returns

`array`

## Return bitmask of the current Render Mode

    getRenderMode() : integer

### Returns

`integer`

## Retrieve registered stylesheets

    getStylesheets() : array

### Returns

`array`

## Return jQuery UI CDN Version

    getUiCdnVersion() : String

deprecated | As of 1.8 use {@link getUiVersion()}

### Returns

`String`

## Proxies to getUiPath() for consistency in function naming.

    getUiLocalPath() : string

### Returns

`string`

## Return the local jQuery UI Path if set.

    getUiPath() : string

### Returns

`string`

## Get jQuery UI Version used.

    getUiVersion() : string

### Returns

`string`

## Get the version used with the jQuery library

    getVersion() : string

### Returns

`string`

## Is jQuery enabled?

    isEnabled() : boolean

### Returns

`boolean`

## Finish capturing arbitrary javascript to include in jQuery script

    javascriptCaptureEnd() : boolean

### Returns

`boolean`

## Capture arbitrary javascript to include in jQuery script

    javascriptCaptureStart() : boolean

### Exceptions

`\Zend_Exception` |

### Returns

`boolean`

## Stop capturing routines to run onLoad

    onLoadCaptureEnd() : boolean

### Returns

`boolean`

## Start capturing routines to run onLoad

    onLoadCaptureStart() : boolean

### Exceptions

`\Zend_Exception` |

### Returns

`boolean`

## Set Use SSL on CDN Flag

    setCdnSsl(boolean $flag) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $flag

`boolean`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Use CDN, using version specified. Currently supported by Googles Ajax Library API are: 1.2.3, 1.2.6

    setCdnVersion(string $version = null) : \ZendX_JQuery_View_Helper_JQuery_Container

deprecated | As of version 1.8, use {@link setVersion()} instead.

### Parameters

#### $version

`string`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Set path to local jQuery library

    setLocalPath(string $path) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $path

`string`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Set which parts of the jQuery enviroment should be rendered.

    setRenderMode(integer $mask) : \ZendX_JQuery_View_Helper_JQuery_Container

This function allows for a gradual refactoring of the jQuery code rendered by calling __toString(). Use ZendXJQuery::RENDER* constants. By default all parts of the enviroment are rendered.

see |

### Parameters

#### $mask

`integer`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Set jQuery UI CDN Version

    setUiCdnVersion(string $version = '1.5.2') : \ZendX_JQuery_View_Helper_JQuery_Container

deprecated | As of 1.8 use {@link setUiVersion()}

### Parameters

#### $version

`string`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Set local path to jQuery UI library

    setUiLocalPath(String $path) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $path

`String`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Set jQuery UI version used.

    setUiVersion(string $version) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $version

`string`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Set the version of the jQuery library used.

    setVersion(string $version) : \ZendX_JQuery_View_Helper_JQuery_Container

### Parameters

#### $version

`string`

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Set view object

    setView(\Zend_View_Interface $view) : void

### Parameters

#### $view

`\Zend_View_Interface`

## Disable jQuery UI Library Rendering

    uiDisable() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Enable jQuery UI Library Rendering

    uiEnable() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Check wheater currently the jQuery UI library is enabled.

    uiIsEnabled() : boolean

### Returns

`boolean`

## Are we using the CDN?

    useCdn() : boolean

### Returns

`boolean`

## Are we using a local path?

    useLocalPath() : boolean

### Returns

`boolean`

## Is the jQuery Ui enabled and loaded from CDN?

    useUiCdn() : \ZendX_JQuery_View_Helper_JQuery_Container

### Returns

`\ZendX_JQuery_View_Helper_JQuery_Container`

## Is the jQuery Ui loaded from local scope?

    useUiLocal() : boolean

### Returns

`boolean`

## _getJQueryLibraryBaseCdnUri()

    _getJQueryLibraryBaseCdnUri() : string

### Returns

`string`

## Internal function that constructs the include path of the jQuery library.

    _getJQueryLibraryPath() : string

### Returns

`string`

## _getJQueryUiLibraryBaseCdnUri()

    _getJQueryUiLibraryBaseCdnUri() : string

### Returns

`string`

## Internal function that constructs the include path of the jQueryUI library.

    _getJQueryUiLibraryPath() : string

### Returns

`string`

## Renders all javascript code related stuff of the jQuery enviroment.

    _renderExtras() : string

### Returns

`string`

## Renders all javascript file related stuff of the jQuery enviroment.

    _renderScriptTags() : string

### Returns

`string`

## Render jQuery stylesheets

    _renderStylesheets() : string

### Returns

`string`

### Properties

## View Instance

    $view : \Zend_View_Interface

### Default

`null`

## Indicates if a capture start method for javascript or onLoad has been called.

    $_captureLock : Boolean

### Default

`false`

## Indicates wheater the jQuery View Helper is enabled.

    $_enabled : Boolean

### Default

`false`

## View is rendered in XHTML or not.

    $_isXhtml : Boolean

### Default

`false`

## Additional javascript files that for jQuery Helper components.

    $_javascriptSources : Array

### Default

`array()`

## Additional javascript statements that need to be executed after jQuery lib.

    $_javascriptStatements : Array

### Default

`array()`

## Path to local webserver jQuery library

    $_jqueryLibraryPath : String

### Default

`null`

## Load CDN Path from SSL or Non-SSL?

    $_loadSslCdnPath : boolean

### Default

`false`

## jQuery onLoad statements Stack

    $_onLoadActions : Array

### Default

`array()`

## Default Render Mode (all parts)

    $_renderMode : Integer

### Default

`\ZendX_JQuery::RENDER_ALL`

## Additional stylesheet files for jQuery related components.

    $_stylesheets : Array

### Default

`array()`

## jQuery UI Library Enabled

    $_uiEnabled : Boolean

### Default

`false`

## Local jQuery UI Path. Use Google CDN if variable is null

    $_uiPath : String

### Default

`null`

## jQuery UI Google CDN Version

    $_uiVersion : String

### Default

`\ZendX_JQuery::DEFAULT_UI_VERSION`

## Default CDN jQuery Library version

    $_version : String

### Default

`\ZendX_JQuery::DEFAULT_JQUERY_VERSION`